#!/usr/bin/env python

import os, sys

libdir = 'lib/pymusique'
sys.path = [os.path.join(os.curdir, libdir)] + sys.path

from distutils.core import setup, Extension
from config import musique_version
import glob

setup(name = "PyMusique",
      version = musique_version,
      description = "iTMS client",
      long_description = "A lightweight frontend to the iTunes Music Store",
      author = "Travis Watkins, Cody Brocious, Jon Lech Johansen, Charles M. Hannum",
      url = "https://fuware.net/pymusique/",
      scripts = ['bin/pymusique'],
      data_files = [(libdir, glob.glob(os.path.join(libdir, '*.py'))),
                    ('share/doc/pymusique', ['AUTHORS','README', 'COPYING', 'ChangeLog']),
                    ('share/pixmaps', ['pymusique.png']),
                    ('share/applications',['pymusique.desktop']),
                   ],
      license = 'GNU GPL',
      platforms = 'posix',
      )
